function Create(self)
	--The X to stick to.
	self.desiredX = self.Pos.X;
	--Y speed to maintain.
	self.ySpeed = 12;
	--This object's boundaries.
	self.Box = Box();
	self.Box.Corner = self.Pos - Vector(16,16);
	self.Box.Width = 32;
	self.Box.Height = 32;
	--Where this object should land.
	self.landY = SceneMan:MovePointToGround(self.Pos,0,0).Y - 16;
	local landPos = Vector();
	SceneMan:CastStrengthRay(Vector(self.Pos.X,self.landY),Vector(0,SceneMan.Scene.Height - self.Pos.Y),9999,landPos,0,0,false);
	self.landY = landPos.Y - 16;
end

function Update(self)
	--Keep X the same.
	self.Pos.X = self.desiredX;
	--Move Y downward.
	self.Pos.Y = self.Pos.Y + self.ySpeed;
	--Update the box's position.
	self.Box.Corner = self.Pos - Vector(16,16);
	--If there's an MO within this block's boundaries, crush it.
	for i = 1, MovableMan:GetMOIDCount() - 1 do
		if i ~= self.ID then
			local mo = MovableMan:GetMOFromID(i)
			local moroot = MovableMan:GetMOFromID(mo.RootID);
			--The last part makes it ignore actors that are still falling so that they don't explode just after spawning.
			if self.Box:WithinBox(mo.Pos) and mo.ClassName ~= "MOPixel" and not (moroot:IsInGroup("Nocrush") and moroot:GetAltitude(480,8) > 480) then
				local MOSMo = ToMOSRotating(mo);
				MOSMo.Vel.Y = self.ySpeed * 3;
				MOSMo:GibThis();
			end
		end
	end
	--Update the landing position.
	self.landY = SceneMan:MovePointToGround(self.Pos,0,0).Y - 16;
	local landPos = Vector();
	SceneMan:CastStrengthRay(Vector(self.Pos.X,self.landY),Vector(0,SceneMan.Scene.Height - self.Pos.Y),9999,landPos,0,0,false);
	self.landY = landPos.Y - 16;
	--Create a light at the landing position to indicate that the block is incoming.
	local dot = CreateMOPixel("Incoming Glow");
	--Move the light if there are other blocks falling below this.
	local blocksbelow = 0;
	for particle in MovableMan.Particles do
		if particle:IsInGroup("Falling Blocks") and particle.Pos.X == self.Pos.X and particle.Pos.Y > self.Pos.Y then
			blocksbelow = blocksbelow + 1;
		end
	end
	dot.Pos.Y = math.ceil(self.landY / 32) * 32 - 16 - 32 * blocksbelow;
	dot.Pos.X = self.Pos.X;
	MovableMan:AddParticle(dot);
	--If the object has passed the landing point, return to it (snapped to a grid so it isn't out of place) and become part of terrain.
	if self.Pos.Y > self.landY then
		self.Pos.Y = self.landY;
		self.PinStrength = 0;
		self.ToSettle = true;
		--Grunt.
		local grunt = CreateAEmitter("Thwomp Grunt");
		grunt.Pos = self.Pos;
		MovableMan:AddParticle(grunt);
	end
end