function Create(self)
	--The X to stick to.
	self.desiredX = self.Pos.X;
	--Y speed to maintain.
	self.ySpeed = 12;
	--Where this object should land.
	self.landY = SceneMan:MovePointToGround(self.Pos,0,0).Y - 16;
	--Whether to play the animation yet.
	self.ToPlay = false;
	--Frame timer.
	self.FrameTimer = Timer();
	--Framerate.
	self.Framerate = 25;
end

function Update(self)
	--Keep X the same.
	self.Pos.X = self.desiredX;
	--Move Y downward.
	self.Pos.Y = self.Pos.Y + self.ySpeed;
	--Update the landing position.
	self.landY = SceneMan:MovePointToGround(self.Pos,0,0).Y - 80;
	--If the object has passed the landing point, return to it (snapped to a grid so it isn't out of place) and start the animation.
	if self.Pos.Y > self.landY then
		self.Pos.Y = self.landY;
		--Set this off only the first time.
		if self.ToPlay == false then
			self.ToPlay = true;
			--Make a breaking sound.
			local sound = CreateAEmitter("Box Open");
			sound.Pos = self.Pos;
			MovableMan:AddParticle(sound);
		end
	end
	--Play the animation.
	if self.ToPlay then
		if self.FrameTimer:IsPastSimMS(self.Framerate) then
			self.Frame = self.Frame + 1;
			self.FrameTimer:Reset();
			if self.Frame == 7 then
				--Spawn the actor.
				playerActor = CreateAHuman("Survivor Girl","BlocksFromAbove.rte");
				playerActor.Pos = self.Pos + Vector(-2,58);
				playerActor.Team = Activity.TEAM_1;
				playerActor.HUDVisible = false;
				MovableMan:AddActor(playerActor);
				--Destroy this.
				self.ToDelete = true;
			end
		end
	else
		--Don't play if we aren't supposed to.
		self.Frame = 0;
		--Create a light at the landing position to indicate that the block is incoming.
		local dot = CreateMOPixel("Incoming Glow");
		dot.Pos.Y = math.ceil(self.landY / 32) * 32 + 48;
		dot.Pos.X = self.Pos.X;
		MovableMan:AddParticle(dot);
	end
end