function Create(self)
	--Don't shriek on the first frame so that limbs being removed doesn't trigger it.
	self.toshriek = false;
	--Turn limb loss on again.
	alllimbs = false;
	--Set up the limb array.
	self.limbs = {};
	for i=1,MovableMan:GetMOIDCount()-1 do
		local mo = MovableMan:GetMOFromID(i);
		if mo.RootID == self.RootID and mo:IsHeldDevice() == false then
			self.limbs[#self.limbs+1] = mo;
		end
	end
	--Remove missing limbs.
	for i=1,#self.limbs do
		limb = self.limbs[i];
		if limb.PresetName == "Survivor Leg FG A" and legfg == false then
			limb.ToDelete = true;
		end
		if limb.PresetName == "Survivor Leg BG A" and legbg == false then
			limb.ToDelete = true;
		end
		if (limb.PresetName == "Survivor Arm FG A" or limb.PresetName == "Survivor Arm FG B") and armfg == false then
			limb.ToDelete = true;
		end
		if (limb.PresetName == "Survivor Arm BG A" or limb.PresetName == "Survivor Arm BG B") and armbg == false then
			limb.ToDelete = true;
		end
	end
end

function Update(self)
	--Get the number of limbs.
	local curlimbs = {};
	for i=1,MovableMan:GetMOIDCount()-1 do
		local mo = MovableMan:GetMOFromID(i);
		if mo.RootID == self.RootID and mo:IsHeldDevice() == false then
			curlimbs[#curlimbs+1] = mo;
		end
	end
	
	--If there are less limbs than before, shriek.
	if #curlimbs < #self.limbs and self.toshriek == true then
		local sound = nil;
		if self.PresetName == "Zombified Survivor Girl" or self.PresetName == "Zombified Survivor Girl With Jetpack" then
			sound = CreateAEmitter("Female Zombie Shriek Emitter");
		else
			sound = CreateAEmitter("Female Shriek Emitter");
		end
		sound.Pos = self.Pos;
		MovableMan:AddParticle(sound);
	end
	
	--Set new limb array.
	self.limbs = curlimbs;

	--Update global limb markers.
	if alllimbs == false then
		legfg = false;
		legbg = false;
		armfg = false;
		armbg = false;
		for i=1,#self.limbs do
			limb = self.limbs[i];
			if limb.PresetName == "Survivor Leg FG A" then
				legfg = true;
			end
			if limb.PresetName == "Survivor Leg BG A" then
				legbg = true;
			end
			if limb.PresetName == "Survivor Arm FG A" or limb.PresetName == "Survivor Arm FG B" then
				armfg = true;
			end
			if limb.PresetName == "Survivor Arm BG A" or limb.PresetName == "Survivor Arm BG B" then
				armbg = true;
			end
		end
	end
	
	--Allow shrieking after a certain point.
	if self.Age > 50 then
		self.toshriek = true;
	end
	
	--Pick everything up.
	self:GetController():SetState(Controller.WEAPON_PICKUP,true);
end