function Create(self)
	--The X to stick to.
	self.desiredX = self.Pos.X;
	--Y speed to maintain.
	self.ySpeed = 12;
	--Where this object should land.
	self.landY = SceneMan:MovePointToGround(self.Pos,0,0).Y - 6;
end

function Update(self)
	--Keep X the same.
	self.Pos.X = self.desiredX;
	--Move Y downward.
	self.Pos.Y = self.Pos.Y + self.ySpeed;
	--Update the landing position.
	self.landY = SceneMan:MovePointToGround(self.Pos,0,0).Y - 6;
	--Create a light at the landing position to indicate that the item is incoming if it's still moving.
	if self.ySpeed > 0 then
		local dot = CreateMOPixel("Incoming Item Glow");
		--Move the light if there are blocks falling below this.
		local blocksbelow = 0;
		for particle in MovableMan.Particles do
			if particle:IsInGroup("Falling Blocks") and particle.Pos.X == self.Pos.X and particle.Pos.Y > self.Pos.Y then
				blocksbelow = blocksbelow + 1;
			end
		end
		dot.Pos.Y = math.ceil(self.landY / 32) * 32 - 16 - 32 * blocksbelow;
		dot.Pos.X = self.Pos.X;
		MovableMan:AddParticle(dot);
	end
	--If the object has passed the landing point, return to it (snapped to a grid so it isn't out of place).
	if self.Pos.Y > self.landY or self.ySpeed == 0 then
		self.Pos.Y = self.landY;
		self.ySpeed = 0;
	end
end